%define pkg    keepalive


Summary:       A library to enable keepalive support in programs
Name:          lib%{pkg}
Version:       0.2
Release:       1%{?dist}%{?pext}
License:       GPL
Group:         System Environment/Libraries
Source0:       http://downloads.sourceforge.net/project/%{name}/%{name}/%{version}/%{name}-%{version}.tar.gz
Patch0:        %{name}-0.2-build.patch
URL:           http://%{name}.sourceforge.net/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Fabio Busatto <fabio.busatto@sikurezza.org>


%description
Libkeepalive is a library that enables tcp keepalive features in glibc based
binary dynamic executables, without any change in the original program due to
the use of the ld.so preload method.


%prep
%setup -q
%patch0 -p1

# Add docs
echo "%{name}.so" >ld.so.preload


%build
export CFLAGS="${RPM_OPT_FLAGS} -fPIC -fno-strict-aliasing"
%{__make} %{?_smp_mflags}


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}/%{_lib}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_bindir}

%{__install} -m 0755 src/%{name}.so ${RPM_BUILD_ROOT}/%{_lib}
%{__install} -m 0755 test/test      ${RPM_BUILD_ROOT}%{_bindir}/test-%{pkg}


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog FEEDBACK LICENSE README VERSION
%doc ld.so.preload
/%{_lib}/%{name}.so
%{_bindir}/test-%{pkg}


%changelog
* Fri Aug 28 2009 Peter Pramberger <peterpramb@member.fsf.org> - 0.2-1
- Initial build
